Skip to main content
GET
/
v1
/
collections
/
{collection_identifier}
/
lifecycle
Get Lifecycle Status
curl --request GET \
  --url https://api.mixpeek.com/v1/collections/{collection_identifier}/lifecycle \
  --header 'Authorization: Bearer <token>'
{
  "collection_id": "<string>",
  "s3_vector_index": "<string>",
  "vector_document_count": 123,
  "s3_vector_count": 123,
  "last_transitioned_at": "2023-11-07T05:31:56Z",
  "task_id": "<string>",
  "warning": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

collection_identifier
string
required

Collection ID or name

Response

Successful Response

collection_id
string
required
lifecycle_state
enum<string>
required
Available options:
active,
cold,
archived
s3_vector_index
string | null
vector_document_count
integer | null
s3_vector_count
integer | null
last_transitioned_at
string<date-time> | null
task_id
string | null
warning
string | null